package com.simuwang.shiro.core;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/6 17:46
 * @description 用户令牌
 */
@Setter
@Getter
public class ShiroUser {
    private String userId;

    private String username;

    private String realName;

    @JsonIgnore
    private String salt;

    @JsonIgnore
    private String password;

    private List<String> permissionCodes;
}
